Subject: Re: [PATCH net v2 2/3] geneve: Relax MTU constraints

From: David Wragg <[email-masked]>
Date: Wed, 10 Feb 2016 11:41:55 +0000

Tom Herbert <[email-masked]> writes:
> The correct thing to do is determine the maximum amount of
> encapsulation overhead that can ever be set in a packet and use for
> setting the MTU. For instance, when RCO is enable in GUE, the size of
> the option is included in tunnel->encap_hlen even though it will not
> be used in all packets (via ip_tunnel_change_mtu). If there is no way
> to determine a maximum overhead a priori from configuration, then
> maximum overhead could be assumed to be maximum possible encapsulation
> header size which for Geneve is 132 bytes IIRC.

Ok, I'll come up with a patch to address this.

David